#ifndef ISING_H
#define ISING_H

#include <cstddef>
using std::size_t;

#include <vector>
using std::vector;

#include "moments.hpp"

extern size_t L;
extern double T;
extern vector<int> spin;
extern size_t attempts;

void initialize(size_t, double, bool);

void attempt_single_flip(void);
void attempt_double_flip(void);
void attempt_triple_flip(void);

void update(void);
void cluster_update(void);

void measure_magnetization(moments&);

void measure_energy(moments&);

#endif // ISING_H