#ifndef MOMENTS_HPP
#define MOMENTS_HPP

#include <iostream>
using std::ostream;
using std::endl;

class moments
{
public:
	double first;
	double second;
	double fourth;
	moments() : first(0), second(0), fourth(0) {}
	moments(double a, double b, double c) : first(a), second(b), fourth(c) {}
	void clear(void) { first = 0.; second = 0.; fourth = 0.; }
	moments average(size_t n) { return moments(first/n,second/n,fourth/n); }
	void print(ostream& os, unsigned long int n)
	{
		os << first/n << "\t" << second/n << "\t" << fourth/n << endl;
	}
	friend ostream& operator<<(ostream &os, const moments &M)
	{
		os << M.first << "\t" << M.second << "\t" << M.fourth;
		return os;
	}
};

#endif // MOMENTS_HPP